# SIPAuthenticator Class Reference

`#include <sippdu.h>`

Collaboration diagram for SIPAuthenticator:

[legend]

## Public Member Functions

| SIPAuthenticator (SIP_PDU &pdu)
virtual PMIMEInfo & | GetMIME ()
virtual PString | GetURI ()
virtual PString | GetEntityBody ()
virtual PString | GetMethod ()

## Protected Attributes

SIP_PDU & | m_pdu

## Constructor & Destructor Documentation

SIPAuthenticator::SIPAuthenticator | ( | SIP_PDU & | pdu | ) |

## Member Function Documentation

virtual PString SIPAuthenticator::GetEntityBody | ( |  | ) | `[virtual]`

virtual PString SIPAuthenticator::GetMethod | ( |  | ) | `[virtual]`

virtual PMIMEInfo& SIPAuthenticator::GetMIME | ( |  | ) | `[virtual]`

virtual PString SIPAuthenticator::GetURI | ( |  | ) | `[virtual]`

## Field Documentation

SIP_PDU& SIPAuthenticator::m_pdu `[protected]`

The documentation for this class was generated from the following file:

- sippdu.h